package com.picc.grab.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.picc.grab.domain.Zbwt;
import com.picc.grab.entity.ZbwtVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface ZbwtMapper extends BaseMapper<Zbwt> {
  Zbwt GetZbwtByCarid(String paramString);


  void updateZbwt(@Param("zbgzstatus") String zbgzstatus,
                  @Param("carid") String carid,
                  @Param("bidCompanyName") String bidCompanyName,
                  @Param("createTime") String createTime,
                  @Param("bidPrice") BigDecimal bidPrice);

  /**
   * 根据create_time获取7天内
   * 且zbgzstatus为1
   * @return
   */
  List<ZbwtVo> findByTime();

    void updateSF(@Param("carid") String carid);
}
